# Generated by Django 4.2 on 2024-03-04 17:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('levels', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='userlevelprogress',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_level_progress', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userlessonprogress',
            name='lesson',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_lesson_progress', to='levels.lesson'),
        ),
        migrations.AddField(
            model_name='userlessonprogress',
            name='user_level_progress',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(class)s', to='levels.userlevelprogress'),
        ),
        migrations.AddField(
            model_name='test',
            name='level',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='levels.level'),
        ),
        migrations.AddField(
            model_name='test',
            name='questions',
            field=models.ManyToManyField(blank=True, related_name='tests', to='levels.question', verbose_name='Список вопросов'),
        ),
        migrations.AddField(
            model_name='question',
            name='lesson',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='questions', to='levels.lesson', verbose_name='Урок'),
        ),
        migrations.AddField(
            model_name='lesson',
            name='level',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(class)s', to='levels.level', verbose_name='Уровень'),
        ),
        migrations.AddField(
            model_name='answer',
            name='question',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='answers', to='levels.question', verbose_name='Вопрос'),
        ),
        migrations.AlterUniqueTogether(
            name='usertestprogress',
            unique_together={('user_level_progress', 'final_test')},
        ),
        migrations.AlterUniqueTogether(
            name='userlevelprogress',
            unique_together={('user', 'level')},
        ),
        migrations.AlterUniqueTogether(
            name='userlessonprogress',
            unique_together={('lesson', 'user_level_progress')},
        ),
    ]
